[Gc] Problem with the version 6.8 on OpenBSD (ppc)

Manuel Serrano Manuel.Serrano at sophia.inria.fr
Wed Sep 27 05:49:00 PDT 2006


Hello Hans,

A user of Bigloo has reported errors during the installation of the
system on an OpenBSD running on a PowerPC.

-----|-----|-----|-----|-----|-----|-----|-----|-----|-----|-----|-----|-----
In file included from include/private/gc_priv.h:66,
                  from alloc.c:19:
 include/private/gcconfig.h:477: error: syntax error before '--' token
 In file included from include/private/gc_priv.h:66,
                  from alloc.c:19:
 include/private/gcconfig.h:476:1: unterminated #ifndef
 include/private/gcconfig.h:25:1: unterminated #ifndef
 In file included from alloc.c:19:
 include/private/gc_priv.h:65:1: unterminated #ifndef
 include/private/gc_priv.h:19:1: unterminated #ifndef
 gmake[4]: *** [alloc.o] Error 1
 gmake[3]: *** [gcstatic] Error 2
 gmake[2]: *** [gc] Error 2
 gmake[1]: *** [boot] Error 2
 gmake: *** [boot] Error 2
 
 
 uname -ap
 OpenBSD satan_mac.lan 3.9 GENERIC#853 macppc 7455 (Revision 0x303)
 gmake -v
 GNU Make 3.80
 gcc -v  
 gcc (GCC) 3.3.5 (propolice)
-----|-----|-----|-----|-----|-----|-----|-----|-----|-----|-----|-----|-----

I don't have access to this machine so I cannot check by myself. Were 
your already aware of this problem? Do you think that it should be difficult
to fix it? Thanks in advance.
 
-- 
Manuel


More information about the Gc mailing list